-- MySQL dump 8.23
--
-- Host: localhost    Database: mysql4630cce40952a6852bae560326d
---------------------------------------------------------
-- Server version	3.23.58

--
-- Table structure for table `biblio`
--

CREATE TABLE `biblio` (
  `bibid` int(11) NOT NULL auto_increment,
  `create_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_change_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_change_userid` int(11) NOT NULL default '0',
  `material_cd` smallint(6) NOT NULL default '0',
  `collection_cd` smallint(6) NOT NULL default '0',
  `call_nmbr1` varchar(20) default NULL,
  `call_nmbr2` varchar(20) default NULL,
  `call_nmbr3` varchar(20) default NULL,
  `title` text,
  `title_remainder` text,
  `responsibility_stmt` text,
  `author` text,
  `topic1` text,
  `topic2` text,
  `topic3` text,
  `topic4` text,
  `topic5` text,
  `opac_flg` char(1) NOT NULL default '',
  PRIMARY KEY  (`bibid`)
) TYPE=MyISAM;

--
-- Dumping data for table `biblio`
--



--
-- Table structure for table `biblio_copy`
--

CREATE TABLE `biblio_copy` (
  `bibid` int(11) NOT NULL default '0',
  `copyid` int(11) NOT NULL auto_increment,
  `copy_desc` varchar(160) default NULL,
  `barcode_nmbr` varchar(20) NOT NULL default '',
  `status_cd` char(3) NOT NULL default '',
  `status_begin_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `due_back_dt` date default NULL,
  `mbrid` int(11) default NULL,
  PRIMARY KEY  (`bibid`,`copyid`),
  KEY `barcode_index` (`barcode_nmbr`),
  KEY `mbr_index` (`mbrid`)
) TYPE=MyISAM;

--
-- Dumping data for table `biblio_copy`
--



--
-- Table structure for table `biblio_field`
--

CREATE TABLE `biblio_field` (
  `bibid` int(11) NOT NULL default '0',
  `fieldid` int(11) NOT NULL auto_increment,
  `tag` smallint(6) NOT NULL default '0',
  `ind1_cd` char(1) default NULL,
  `ind2_cd` char(1) default NULL,
  `subfield_cd` char(1) NOT NULL default '',
  `field_data` text,
  PRIMARY KEY  (`bibid`,`fieldid`)
) TYPE=MyISAM;

--
-- Dumping data for table `biblio_field`
--



--
-- Table structure for table `biblio_hold`
--

CREATE TABLE `biblio_hold` (
  `bibid` int(11) NOT NULL default '0',
  `copyid` int(11) NOT NULL default '0',
  `holdid` int(11) NOT NULL auto_increment,
  `hold_begin_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `mbrid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`bibid`,`copyid`,`holdid`),
  KEY `mbr_index` (`mbrid`)
) TYPE=MyISAM;

--
-- Dumping data for table `biblio_hold`
--



--
-- Table structure for table `biblio_status_dm`
--

CREATE TABLE `biblio_status_dm` (
  `code` char(3) NOT NULL default '',
  `description` varchar(40) NOT NULL default '',
  `default_flg` char(1) NOT NULL default '',
  PRIMARY KEY  (`code`)
) TYPE=MyISAM;

--
-- Dumping data for table `biblio_status_dm`
--


INSERT INTO `biblio_status_dm` VALUES ('in','checked in','Y');
INSERT INTO `biblio_status_dm` VALUES ('out','checked out','N');
INSERT INTO `biblio_status_dm` VALUES ('mnd','damaged/mending','N');
INSERT INTO `biblio_status_dm` VALUES ('dis','display area','N');
INSERT INTO `biblio_status_dm` VALUES ('hld','on hold','N');
INSERT INTO `biblio_status_dm` VALUES ('lst','lost','N');
INSERT INTO `biblio_status_dm` VALUES ('ln','on loan','N');
INSERT INTO `biblio_status_dm` VALUES ('ord','on order','N');
INSERT INTO `biblio_status_dm` VALUES ('crt','shelving cart','N');

--
-- Table structure for table `biblio_status_hist`
--

CREATE TABLE `biblio_status_hist` (
  `bibid` int(11) NOT NULL default '0',
  `copyid` int(11) NOT NULL default '0',
  `status_cd` char(3) NOT NULL default '',
  `status_begin_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `due_back_dt` date default NULL,
  `mbrid` int(11) default NULL,
  KEY `mbr_index` (`mbrid`),
  KEY `copy_index` (`bibid`,`copyid`)
) TYPE=MyISAM;

--
-- Dumping data for table `biblio_status_hist`
--



--
-- Table structure for table `collection_dm`
--

CREATE TABLE `collection_dm` (
  `code` smallint(6) NOT NULL auto_increment,
  `description` varchar(40) NOT NULL default '',
  `default_flg` char(1) NOT NULL default '',
  `days_due_back` tinyint(3) unsigned NOT NULL default '0',
  `daily_late_fee` decimal(4,2) NOT NULL default '0.00',
  PRIMARY KEY  (`code`)
) TYPE=MyISAM;

--
-- Dumping data for table `collection_dm`
--


INSERT INTO `collection_dm` VALUES (1,'Adult Fiction','N',21,0.05);
INSERT INTO `collection_dm` VALUES (2,'Adult Nonfiction','Y',21,0.05);
INSERT INTO `collection_dm` VALUES (3,'Cassettes','N',7,0.05);
INSERT INTO `collection_dm` VALUES (4,'Compact Discs','N',7,0.15);
INSERT INTO `collection_dm` VALUES (5,'Computer Software','N',7,0.15);
INSERT INTO `collection_dm` VALUES (6,'Easy Readers','N',21,0.05);
INSERT INTO `collection_dm` VALUES (7,'Juvenile Fiction','N',21,0.05);
INSERT INTO `collection_dm` VALUES (8,'Juvenile Nonfiction','N',21,0.05);
INSERT INTO `collection_dm` VALUES (9,'New Books','N',14,0.10);
INSERT INTO `collection_dm` VALUES (10,'Periodics','N',14,0.05);
INSERT INTO `collection_dm` VALUES (11,'Reference','N',0,0.00);
INSERT INTO `collection_dm` VALUES (12,'Videos and DVDs','N',3,1.00);

--
-- Table structure for table `material_type_dm`
--

CREATE TABLE `material_type_dm` (
  `code` smallint(6) NOT NULL auto_increment,
  `description` varchar(40) NOT NULL default '',
  `default_flg` char(1) NOT NULL default '',
  `adult_checkout_limit` tinyint(3) unsigned NOT NULL default '0',
  `juvenile_checkout_limit` tinyint(3) unsigned NOT NULL default '0',
  `image_file` varchar(128) default NULL,
  PRIMARY KEY  (`code`)
) TYPE=MyISAM;

--
-- Dumping data for table `material_type_dm`
--


INSERT INTO `material_type_dm` VALUES (1,'audio tapes','N',10,5,'tape.gif');
INSERT INTO `material_type_dm` VALUES (2,'book','Y',20,10,'book.gif');
INSERT INTO `material_type_dm` VALUES (3,'cd audio','N',10,5,'cd.gif');
INSERT INTO `material_type_dm` VALUES (4,'cd computer','N',5,3,'cd.gif');
INSERT INTO `material_type_dm` VALUES (5,'equipment','N',3,0,'case.gif');
INSERT INTO `material_type_dm` VALUES (6,'magazines','N',10,5,'mag.gif');
INSERT INTO `material_type_dm` VALUES (7,'maps','N',5,3,'map.gif');
INSERT INTO `material_type_dm` VALUES (8,'video/dvd','N',5,3,'camera.gif');

--
-- Table structure for table `mbr_classify_dm`
--

CREATE TABLE `mbr_classify_dm` (
  `code` char(1) NOT NULL default '',
  `description` varchar(40) NOT NULL default '',
  `default_flg` char(1) NOT NULL default '',
  PRIMARY KEY  (`code`)
) TYPE=MyISAM;

--
-- Dumping data for table `mbr_classify_dm`
--


INSERT INTO `mbr_classify_dm` VALUES ('a','adult','Y');
INSERT INTO `mbr_classify_dm` VALUES ('j','juvenile','N');

--
-- Table structure for table `member`
--

CREATE TABLE `member` (
  `mbrid` int(11) NOT NULL auto_increment,
  `barcode_nmbr` varchar(20) NOT NULL default '',
  `create_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_change_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_change_userid` int(11) NOT NULL default '0',
  `last_name` varchar(50) NOT NULL default '',
  `first_name` varchar(50) NOT NULL default '',
  `address1` varchar(128) default NULL,
  `address2` varchar(128) default NULL,
  `city` varchar(50) default NULL,
  `state` char(2) default NULL,
  `zip` mediumint(9) default NULL,
  `zip_ext` smallint(6) default NULL,
  `home_phone` varchar(15) default NULL,
  `work_phone` varchar(15) default NULL,
  `email` varchar(128) default NULL,
  `classification` char(1) NOT NULL default '',
  `school_grade` tinyint(4) default NULL,
  `school_teacher` varchar(50) default NULL,
  PRIMARY KEY  (`mbrid`)
) TYPE=MyISAM;

--
-- Dumping data for table `member`
--



--
-- Table structure for table `member_account`
--

CREATE TABLE `member_account` (
  `mbrid` int(11) NOT NULL default '0',
  `transid` int(11) NOT NULL auto_increment,
  `create_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `create_userid` int(11) NOT NULL default '0',
  `transaction_type_cd` char(2) NOT NULL default '',
  `amount` decimal(8,2) NOT NULL default '0.00',
  `description` varchar(128) default NULL,
  PRIMARY KEY  (`mbrid`,`transid`)
) TYPE=MyISAM;

--
-- Dumping data for table `member_account`
--



--
-- Table structure for table `session`
--

CREATE TABLE `session` (
  `userid` int(5) NOT NULL default '0',
  `last_updated_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `token` int(5) NOT NULL default '0'
) TYPE=MyISAM;

--
-- Dumping data for table `session`
--


INSERT INTO `session` VALUES (1,'2005-11-17 10:51:55',2830);

--
-- Table structure for table `settings`
--

CREATE TABLE `settings` (
  `library_name` varchar(128) default NULL,
  `library_image_url` text,
  `use_image_flg` char(1) NOT NULL default '',
  `library_hours` varchar(128) default NULL,
  `library_phone` varchar(40) default NULL,
  `library_url` text,
  `opac_url` text,
  `session_timeout` smallint(6) NOT NULL default '0',
  `items_per_page` tinyint(4) NOT NULL default '0',
  `version` varchar(10) NOT NULL default '',
  `themeid` smallint(6) NOT NULL default '0',
  `purge_history_after_months` smallint(6) NOT NULL default '0',
  `block_checkouts_when_fines_due` char(1) NOT NULL default '',
  `locale` varchar(8) NOT NULL default '',
  `charset` varchar(20) default NULL,
  `html_lang_attr` varchar(8) default NULL
) TYPE=MyISAM;

--
-- Dumping data for table `settings`
--


INSERT INTO `settings` VALUES ('Your Library Name','../images/sampleLogo.png','N','M-F 8am-9pm, Sa noon-5pm, Su 1-5pm','111-222-3333',NULL,'../opac/index.php',20,10,'0.4.0',@@THEME@@,6,'Y','en','iso-8859-1',NULL);

--
-- Table structure for table `staff`
--

CREATE TABLE `staff` (
  `userid` int(11) NOT NULL auto_increment,
  `create_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_change_dt` datetime NOT NULL default '0000-00-00 00:00:00',
  `last_change_userid` int(11) NOT NULL default '0',
  `username` varchar(20) NOT NULL default '',
  `pwd` varchar(40) NOT NULL default '',
  `last_name` varchar(30) NOT NULL default '',
  `first_name` varchar(30) default NULL,
  `suspended_flg` char(1) NOT NULL default '',
  `admin_flg` char(1) NOT NULL default '',
  `circ_flg` char(1) NOT NULL default '',
  `circ_mbr_flg` char(1) NOT NULL default '',
  `catalog_flg` char(1) NOT NULL default '',
  `reports_flg` char(1) NOT NULL default '',
  PRIMARY KEY  (`userid`)
) TYPE=MyISAM;

--
-- Dumping data for table `staff`
--


INSERT INTO `staff` VALUES (1,'2005-11-17 10:51:35','2005-11-17 10:51:35',1,'@@ADMIN_NAME@@','@@ADMIN_PASSWORD@@','Root Administrator',NULL,'N','Y','Y','Y','Y','Y');

--
-- Table structure for table `state_dm`
--

CREATE TABLE `state_dm` (
  `code` char(2) NOT NULL default '',
  `description` varchar(20) NOT NULL default '',
  `default_flg` char(1) NOT NULL default '',
  PRIMARY KEY  (`code`)
) TYPE=MyISAM;

--
-- Dumping data for table `state_dm`
--


INSERT INTO `state_dm` VALUES ('AL','Alabama','N');
INSERT INTO `state_dm` VALUES ('AK','Alaska','N');
INSERT INTO `state_dm` VALUES ('AZ','Arizona','N');
INSERT INTO `state_dm` VALUES ('AR','Arkansas','N');
INSERT INTO `state_dm` VALUES ('CA','California','N');
INSERT INTO `state_dm` VALUES ('CO','Colorado','N');
INSERT INTO `state_dm` VALUES ('CT','Connecticut','N');
INSERT INTO `state_dm` VALUES ('DE','Delaware','N');
INSERT INTO `state_dm` VALUES ('DC','Dist. of Columbia','N');
INSERT INTO `state_dm` VALUES ('FL','Florida','N');
INSERT INTO `state_dm` VALUES ('GA','Georgia','N');
INSERT INTO `state_dm` VALUES ('GU','Guam','N');
INSERT INTO `state_dm` VALUES ('HI','Hawaii','N');
INSERT INTO `state_dm` VALUES ('ID','Idaho','N');
INSERT INTO `state_dm` VALUES ('IL','Illinois','N');
INSERT INTO `state_dm` VALUES ('IN','Indiana','N');
INSERT INTO `state_dm` VALUES ('IA','Iowa','N');
INSERT INTO `state_dm` VALUES ('KS','Kansas','N');
INSERT INTO `state_dm` VALUES ('KY','Kentucky','N');
INSERT INTO `state_dm` VALUES ('LA','Louisiana','N');
INSERT INTO `state_dm` VALUES ('ME','Maine','N');
INSERT INTO `state_dm` VALUES ('MD','Maryland','N');
INSERT INTO `state_dm` VALUES ('MA','Massachusetts','N');
INSERT INTO `state_dm` VALUES ('MI','Michigan','N');
INSERT INTO `state_dm` VALUES ('MN','Minnesota','N');
INSERT INTO `state_dm` VALUES ('MS','Mississippi','N');
INSERT INTO `state_dm` VALUES ('MO','Missouri','N');
INSERT INTO `state_dm` VALUES ('MT','Montana','N');
INSERT INTO `state_dm` VALUES ('NE','Nebraska','N');
INSERT INTO `state_dm` VALUES ('NV','Nevada','N');
INSERT INTO `state_dm` VALUES ('NH','New Hampshire','N');
INSERT INTO `state_dm` VALUES ('NJ','New Jersey','N');
INSERT INTO `state_dm` VALUES ('NM','New Mexico','N');
INSERT INTO `state_dm` VALUES ('NY','New York','N');
INSERT INTO `state_dm` VALUES ('NC','North Carolina','N');
INSERT INTO `state_dm` VALUES ('ND','North Dakota','N');
INSERT INTO `state_dm` VALUES ('OH','Ohio','N');
INSERT INTO `state_dm` VALUES ('OK','Oklahoma','N');
INSERT INTO `state_dm` VALUES ('OR','Oregon','N');
INSERT INTO `state_dm` VALUES ('PA','Pennsylvania','N');
INSERT INTO `state_dm` VALUES ('PR','Puerto Rico','N');
INSERT INTO `state_dm` VALUES ('RI','Rhode Island','N');
INSERT INTO `state_dm` VALUES ('SC','South Carolina','N');
INSERT INTO `state_dm` VALUES ('SD','South Dakota','N');
INSERT INTO `state_dm` VALUES ('TN','Tennessee','N');
INSERT INTO `state_dm` VALUES ('TX','Texas','N');
INSERT INTO `state_dm` VALUES ('UT','Utah','N');
INSERT INTO `state_dm` VALUES ('VT','Vermont','N');
INSERT INTO `state_dm` VALUES ('VA','Virginia','N');
INSERT INTO `state_dm` VALUES ('VI','Virgin Islands','N');
INSERT INTO `state_dm` VALUES ('WA','Washington','N');
INSERT INTO `state_dm` VALUES ('WV','West Virginia','N');
INSERT INTO `state_dm` VALUES ('WI','Wisconsin','N');
INSERT INTO `state_dm` VALUES ('WY','Wyoming','N');

--
-- Table structure for table `theme`
--

CREATE TABLE `theme` (
  `themeid` smallint(6) NOT NULL auto_increment,
  `theme_name` varchar(40) NOT NULL default '',
  `title_bg` varchar(20) NOT NULL default '',
  `title_font_face` varchar(128) NOT NULL default '',
  `title_font_size` tinyint(4) NOT NULL default '0',
  `title_font_bold` char(1) NOT NULL default '',
  `title_font_color` varchar(20) NOT NULL default '',
  `title_align` varchar(30) NOT NULL default '',
  `primary_bg` varchar(20) NOT NULL default '',
  `primary_font_face` varchar(128) NOT NULL default '',
  `primary_font_size` tinyint(4) NOT NULL default '0',
  `primary_font_color` varchar(20) NOT NULL default '',
  `primary_link_color` varchar(20) NOT NULL default '',
  `primary_error_color` varchar(20) NOT NULL default '',
  `alt1_bg` varchar(20) NOT NULL default '',
  `alt1_font_face` varchar(128) NOT NULL default '',
  `alt1_font_size` tinyint(4) NOT NULL default '0',
  `alt1_font_color` varchar(20) NOT NULL default '',
  `alt1_link_color` varchar(20) NOT NULL default '',
  `alt2_bg` varchar(20) NOT NULL default '',
  `alt2_font_face` varchar(128) NOT NULL default '',
  `alt2_font_size` tinyint(4) NOT NULL default '0',
  `alt2_font_color` varchar(20) NOT NULL default '',
  `alt2_link_color` varchar(20) NOT NULL default '',
  `alt2_font_bold` char(1) NOT NULL default '',
  `border_color` varchar(20) NOT NULL default '',
  `border_width` tinyint(4) NOT NULL default '0',
  `table_padding` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`themeid`)
) TYPE=MyISAM;

--
-- Dumping data for table `theme`
--


INSERT INTO `theme` VALUES (1,'Mossy Blue','#7695C0','Arial,Helvetica,sans-serif',26,'N','#ffffff','left','#ffffff','verdana,arial,helvetica',13,'#000000','#0000aa','#990000','#CCCC99','verdana,arial,helvetica',13,'#000000','#0000aa','#003366','verdana,arial,helvetica',13,'#ffffff','#ffffff','Y','#000000',1,2);
INSERT INTO `theme` VALUES (2,'Arizona Dessert','#dfa955','Arial,Helvetica,sans-serif',26,'N','#ffffff','left','#ffffff','verdana,arial,helvetica',13,'#000000','#af6622','#990000','#c0c0c0','verdana,arial,helvetica',13,'#000000','#bf7733','#c05232','verdana,arial,helvetica',13,'#ffffff','#ffffff','Y','#000000',1,2);
INSERT INTO `theme` VALUES (3,'Blue and Green','#aaaaff','Arial,Helvetica,sans-serif',26,'N','#000055','left','#ffffff','verdana,arial,helvetica',13,'#000055','#000088','#990000','#aaffaa','verdana,arial,helvetica',13,'#005500','#000088','#4444ff','verdana,arial,helvetica',13,'#ffffff','#ffffff','Y','#000055',1,2);
INSERT INTO `theme` VALUES (4,'Dark Wood','#551122','Arial,Helvetica,sans-serif',26,'N','#ffffff','left','#000000','arial',13,'#ffffff','#ffff99','#990000','#393333','arial',13,'#ffffff','#ffff99','#999080','verdana,arial,helvetica',13,'#ffffff','#ffffff','Y','#a9a090',1,2);
INSERT INTO `theme` VALUES (5,'Metalic Grey','#ffffff','Arial,Helvetica,sans-serif',26,'N','#000000','left','#f0f0f0','verdana,arial,helvetica',13,'#000000','#0000aa','#990000','#e0e0e0','verdana,arial,helvetica',13,'#000000','#0000aa','#c9cfde','verdana,arial,helvetica',13,'#000000','#000000','Y','#000000',1,2);
INSERT INTO `theme` VALUES (6,'Midnight','#222255','Arial,Helvetica,sans-serif',26,'N','#ffffff','left','#000000','arial',13,'#b5b5db','#ffff99','#990000','#333366','arial',13,'#ffffff','#ffff99','#8585ab','verdana,arial,helvetica',13,'#ffffff','#ffffff','N','#b5b5db',1,2);

--
-- Table structure for table `transaction_type_dm`
--

CREATE TABLE `transaction_type_dm` (
  `code` char(2) NOT NULL default '',
  `description` varchar(40) NOT NULL default '',
  `default_flg` char(1) NOT NULL default '',
  PRIMARY KEY  (`code`)
) TYPE=MyISAM;

--
-- Dumping data for table `transaction_type_dm`
--


INSERT INTO `transaction_type_dm` VALUES ('-p','payment','Y');
INSERT INTO `transaction_type_dm` VALUES ('-r','credit','N');
INSERT INTO `transaction_type_dm` VALUES ('+c','charge','N');

--
-- Table structure for table `usmarc_block_dm`
--

CREATE TABLE `usmarc_block_dm` (
  `block_nmbr` tinyint(4) NOT NULL default '0',
  `description` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`block_nmbr`)
) TYPE=MyISAM;

--
-- Dumping data for table `usmarc_block_dm`
--


INSERT INTO `usmarc_block_dm` VALUES (0,'Control information, numbers, and codes');
INSERT INTO `usmarc_block_dm` VALUES (1,'Main entry');
INSERT INTO `usmarc_block_dm` VALUES (2,'Titles and title paragraph (title, edition, imprint)');
INSERT INTO `usmarc_block_dm` VALUES (3,'Physical description, etc.');
INSERT INTO `usmarc_block_dm` VALUES (4,'Series statements');
INSERT INTO `usmarc_block_dm` VALUES (5,'Notes');
INSERT INTO `usmarc_block_dm` VALUES (6,'Subject access fields');
INSERT INTO `usmarc_block_dm` VALUES (7,'Added entries other than subject or series, linking fields');
INSERT INTO `usmarc_block_dm` VALUES (8,'Series added entries: location, and alternate graphics');
INSERT INTO `usmarc_block_dm` VALUES (9,'Reserved for local implementation');

--
-- Table structure for table `usmarc_indicator_dm`
--

CREATE TABLE `usmarc_indicator_dm` (
  `tag` smallint(6) NOT NULL default '0',
  `indicator_nmbr` tinyint(4) NOT NULL default '0',
  `indicator_cd` char(1) NOT NULL default '',
  `description` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`tag`,`indicator_nmbr`,`indicator_cd`)
) TYPE=MyISAM;

--
-- Dumping data for table `usmarc_indicator_dm`
--


INSERT INTO `usmarc_indicator_dm` VALUES (10,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (10,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (13,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (13,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (15,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (15,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (16,1,'#','National Library of Canada');
INSERT INTO `usmarc_indicator_dm` VALUES (16,1,'7','Agency identified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (16,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (17,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (17,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (18,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (18,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (20,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (20,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (22,1,'#','No level specified');
INSERT INTO `usmarc_indicator_dm` VALUES (22,1,'0','Serial of international interest');
INSERT INTO `usmarc_indicator_dm` VALUES (22,1,'1','Serial not of international interest');
INSERT INTO `usmarc_indicator_dm` VALUES (22,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (24,1,'0','International Standard Recording Code (ISRC)');
INSERT INTO `usmarc_indicator_dm` VALUES (24,1,'1','Universal Product Code (UPC)');
INSERT INTO `usmarc_indicator_dm` VALUES (24,1,'2','International Standard Music Number (ISMN)');
INSERT INTO `usmarc_indicator_dm` VALUES (24,1,'3','International Article Number (EAN)');
INSERT INTO `usmarc_indicator_dm` VALUES (24,1,'4','Serial Item and Contribution Identifier (SICI)');
INSERT INTO `usmarc_indicator_dm` VALUES (24,1,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (24,1,'8','Unspecified type of standard number or code');
INSERT INTO `usmarc_indicator_dm` VALUES (24,2,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (24,2,'0','No difference');
INSERT INTO `usmarc_indicator_dm` VALUES (24,2,'1','Difference');
INSERT INTO `usmarc_indicator_dm` VALUES (25,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (25,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (27,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (27,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (28,1,'0','Issue number');
INSERT INTO `usmarc_indicator_dm` VALUES (28,1,'1','Matrix number');
INSERT INTO `usmarc_indicator_dm` VALUES (28,1,'2','Plate number');
INSERT INTO `usmarc_indicator_dm` VALUES (28,1,'3','Other music number');
INSERT INTO `usmarc_indicator_dm` VALUES (28,1,'4','Videorecording number');
INSERT INTO `usmarc_indicator_dm` VALUES (28,1,'5','Other publisher number');
INSERT INTO `usmarc_indicator_dm` VALUES (28,2,'0','No note, no added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (28,2,'1','Note, added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (28,2,'2','Note, no added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (28,2,'3','No note, added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (30,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (30,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (32,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (32,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (33,1,'#','No date information');
INSERT INTO `usmarc_indicator_dm` VALUES (33,1,'0','Single date');
INSERT INTO `usmarc_indicator_dm` VALUES (33,1,'1','Multiple single dates');
INSERT INTO `usmarc_indicator_dm` VALUES (33,1,'2','Range of dates');
INSERT INTO `usmarc_indicator_dm` VALUES (33,2,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (33,2,'0','Capture');
INSERT INTO `usmarc_indicator_dm` VALUES (33,2,'1','Broadcast');
INSERT INTO `usmarc_indicator_dm` VALUES (33,2,'2','Finding');
INSERT INTO `usmarc_indicator_dm` VALUES (34,1,'0','Scale indeterminable/No scale recorded');
INSERT INTO `usmarc_indicator_dm` VALUES (34,1,'1','Single scale');
INSERT INTO `usmarc_indicator_dm` VALUES (34,1,'3','Range of scales');
INSERT INTO `usmarc_indicator_dm` VALUES (34,2,'#','Not applicable');
INSERT INTO `usmarc_indicator_dm` VALUES (34,2,'0','Outer ring');
INSERT INTO `usmarc_indicator_dm` VALUES (34,2,'1','Exclusion ring');
INSERT INTO `usmarc_indicator_dm` VALUES (35,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (35,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (36,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (36,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (37,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (37,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (40,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (40,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (41,1,'0','Item not a translation/does not include a translation');
INSERT INTO `usmarc_indicator_dm` VALUES (41,1,'1','Item is or includes a translation');
INSERT INTO `usmarc_indicator_dm` VALUES (41,2,'#','MARC language code');
INSERT INTO `usmarc_indicator_dm` VALUES (41,2,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (42,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (42,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (43,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (43,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (44,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (44,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (45,1,'#','Subfield $b or $c not present');
INSERT INTO `usmarc_indicator_dm` VALUES (45,1,'0','Single date/time');
INSERT INTO `usmarc_indicator_dm` VALUES (45,1,'1','Multiple single dates/times');
INSERT INTO `usmarc_indicator_dm` VALUES (45,1,'2','Range of dates/times');
INSERT INTO `usmarc_indicator_dm` VALUES (45,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (46,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (46,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (47,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (47,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (48,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (48,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (50,1,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (50,1,'0','Item is in LC');
INSERT INTO `usmarc_indicator_dm` VALUES (50,1,'1','Item is not in LC');
INSERT INTO `usmarc_indicator_dm` VALUES (50,2,'0','Assigned by LC');
INSERT INTO `usmarc_indicator_dm` VALUES (50,2,'4','Assigned by agency other than LC');
INSERT INTO `usmarc_indicator_dm` VALUES (51,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (51,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (52,1,'#','Library of Congress Classification');
INSERT INTO `usmarc_indicator_dm` VALUES (52,1,'0','U.S. Dept. of Defense Classification');
INSERT INTO `usmarc_indicator_dm` VALUES (52,1,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (52,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (55,1,'#','Information not provided');
INSERT INTO `usmarc_indicator_dm` VALUES (55,1,'0','Work held by NLC');
INSERT INTO `usmarc_indicator_dm` VALUES (55,1,'1','Work not held by NLC');
INSERT INTO `usmarc_indicator_dm` VALUES (55,2,'0','LC-based call number assigned by NLC');
INSERT INTO `usmarc_indicator_dm` VALUES (55,2,'1','Complete LC class number assigned by NLC');
INSERT INTO `usmarc_indicator_dm` VALUES (55,2,'2','Incomplete LC class number assigned by NLC');
INSERT INTO `usmarc_indicator_dm` VALUES (55,2,'3','LC-based call number assigned by the contributing library');
INSERT INTO `usmarc_indicator_dm` VALUES (55,2,'4','Complete LC class number assigned by the contributing library');
INSERT INTO `usmarc_indicator_dm` VALUES (55,2,'5','Incomplete LC class number assigned by the contributing library');
INSERT INTO `usmarc_indicator_dm` VALUES (55,2,'6','Other call number assigned by NLC');
INSERT INTO `usmarc_indicator_dm` VALUES (55,2,'7','Other class number assigned by NLC');
INSERT INTO `usmarc_indicator_dm` VALUES (55,2,'8','Other call number assigned by the contributing library');
INSERT INTO `usmarc_indicator_dm` VALUES (55,2,'9','Other class number assigned by the contributing library');
INSERT INTO `usmarc_indicator_dm` VALUES (60,1,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (60,1,'0','Item is in NLM');
INSERT INTO `usmarc_indicator_dm` VALUES (60,1,'1','Item is not in NLM');
INSERT INTO `usmarc_indicator_dm` VALUES (60,2,'0','Assigned by NLM');
INSERT INTO `usmarc_indicator_dm` VALUES (60,2,'4','Assigned by agency other than NLM');
INSERT INTO `usmarc_indicator_dm` VALUES (61,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (61,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (66,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (66,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (70,1,'0','Item is in NAL');
INSERT INTO `usmarc_indicator_dm` VALUES (70,1,'1','Item is not in NAL');
INSERT INTO `usmarc_indicator_dm` VALUES (70,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (71,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (71,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (72,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (72,2,'0','NAL subject category code list');
INSERT INTO `usmarc_indicator_dm` VALUES (72,2,'7','Code source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (74,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (74,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (80,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (80,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (82,1,'0','Full edition');
INSERT INTO `usmarc_indicator_dm` VALUES (82,1,'1','Abridged edition');
INSERT INTO `usmarc_indicator_dm` VALUES (82,2,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (82,2,'0','Assigned by LC');
INSERT INTO `usmarc_indicator_dm` VALUES (82,2,'4','Assigned by agency other than LC');
INSERT INTO `usmarc_indicator_dm` VALUES (84,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (84,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (86,1,'#','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (86,1,'0','Superintendent of Documents Classification System');
INSERT INTO `usmarc_indicator_dm` VALUES (86,1,'1','Government of Canada Publications: Outline of Classification');
INSERT INTO `usmarc_indicator_dm` VALUES (86,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (88,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (88,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (100,1,'0','Forename');
INSERT INTO `usmarc_indicator_dm` VALUES (100,1,'1','Surname');
INSERT INTO `usmarc_indicator_dm` VALUES (100,1,'3','Family name');
INSERT INTO `usmarc_indicator_dm` VALUES (100,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (110,1,'0','Inverted name');
INSERT INTO `usmarc_indicator_dm` VALUES (110,1,'1','Jurisdiction name');
INSERT INTO `usmarc_indicator_dm` VALUES (110,1,'2','Name in direct order');
INSERT INTO `usmarc_indicator_dm` VALUES (110,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (111,1,'0','Inverted name');
INSERT INTO `usmarc_indicator_dm` VALUES (111,1,'1','Jurisdiction name');
INSERT INTO `usmarc_indicator_dm` VALUES (111,1,'2','Name in direct order');
INSERT INTO `usmarc_indicator_dm` VALUES (111,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (130,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (210,1,'0','No added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (210,1,'1','Added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (210,2,'#','Abbreviated key title');
INSERT INTO `usmarc_indicator_dm` VALUES (210,2,'0','Other abbreviated title');
INSERT INTO `usmarc_indicator_dm` VALUES (222,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (222,1,'0','No key title added entry, title proper same');
INSERT INTO `usmarc_indicator_dm` VALUES (222,1,'1','Key title added entry, title proper different');
INSERT INTO `usmarc_indicator_dm` VALUES (222,1,'2','Key title added entry, title proper same');
INSERT INTO `usmarc_indicator_dm` VALUES (222,1,'3','No key title added entry, title proper different');
INSERT INTO `usmarc_indicator_dm` VALUES (240,1,'0','Not printed or displayed');
INSERT INTO `usmarc_indicator_dm` VALUES (240,1,'1','Printed or displayed');
INSERT INTO `usmarc_indicator_dm` VALUES (242,1,'0','No added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (242,1,'1','Added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (243,1,'0','Not printed or displayed');
INSERT INTO `usmarc_indicator_dm` VALUES (243,1,'1','Printed or displayed');
INSERT INTO `usmarc_indicator_dm` VALUES (245,1,'0','No added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (245,1,'1','Added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (246,1,'0','Note, no added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (246,1,'1','Note, added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (246,1,'2','No note, no title added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (246,1,'3','No note, added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (246,2,'#','No type specified');
INSERT INTO `usmarc_indicator_dm` VALUES (246,2,'0','Portion of title');
INSERT INTO `usmarc_indicator_dm` VALUES (246,2,'1','Parallel title');
INSERT INTO `usmarc_indicator_dm` VALUES (246,2,'2','Distinctive title');
INSERT INTO `usmarc_indicator_dm` VALUES (246,2,'3','Other title');
INSERT INTO `usmarc_indicator_dm` VALUES (246,2,'4','Cover title');
INSERT INTO `usmarc_indicator_dm` VALUES (246,2,'5','Added title page title');
INSERT INTO `usmarc_indicator_dm` VALUES (246,2,'6','Caption title');
INSERT INTO `usmarc_indicator_dm` VALUES (246,2,'7','Running title');
INSERT INTO `usmarc_indicator_dm` VALUES (246,2,'8','Spine title');
INSERT INTO `usmarc_indicator_dm` VALUES (247,1,'0','No added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (247,1,'1','Added entry');
INSERT INTO `usmarc_indicator_dm` VALUES (247,2,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (247,2,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (250,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (250,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (254,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (254,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (255,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (255,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (256,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (256,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (257,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (257,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (260,1,'#','Not applicable/No information provided/Earliest available publisher');
INSERT INTO `usmarc_indicator_dm` VALUES (260,1,'2','Intervening publisher');
INSERT INTO `usmarc_indicator_dm` VALUES (260,1,'3','Current/latest publisher');
INSERT INTO `usmarc_indicator_dm` VALUES (260,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (261,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (261,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (262,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (262,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (263,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (263,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (270,1,'#','No level specified');
INSERT INTO `usmarc_indicator_dm` VALUES (270,1,'1','Primary');
INSERT INTO `usmarc_indicator_dm` VALUES (270,1,'2','Secondary');
INSERT INTO `usmarc_indicator_dm` VALUES (270,2,'#','No type specified');
INSERT INTO `usmarc_indicator_dm` VALUES (270,2,'0','Mailing');
INSERT INTO `usmarc_indicator_dm` VALUES (270,2,'7','Type specified in subfield $i');
INSERT INTO `usmarc_indicator_dm` VALUES (300,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (300,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (306,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (306,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (307,1,'#','Hours');
INSERT INTO `usmarc_indicator_dm` VALUES (307,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (307,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (310,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (310,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (340,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (340,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (342,1,'0','Horizontal coordinate system');
INSERT INTO `usmarc_indicator_dm` VALUES (342,1,'1','Vertical coordinate system');
INSERT INTO `usmarc_indicator_dm` VALUES (342,2,'0','Geographic');
INSERT INTO `usmarc_indicator_dm` VALUES (342,2,'1','Map projection');
INSERT INTO `usmarc_indicator_dm` VALUES (342,2,'2','Grid coordinate system');
INSERT INTO `usmarc_indicator_dm` VALUES (342,2,'3','Local planar');
INSERT INTO `usmarc_indicator_dm` VALUES (342,2,'4','Local');
INSERT INTO `usmarc_indicator_dm` VALUES (342,2,'5','Geodetic model');
INSERT INTO `usmarc_indicator_dm` VALUES (342,2,'6','Altitude');
INSERT INTO `usmarc_indicator_dm` VALUES (342,2,'7','Method specified in $2');
INSERT INTO `usmarc_indicator_dm` VALUES (342,2,'8','Depth');
INSERT INTO `usmarc_indicator_dm` VALUES (343,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (343,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (351,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (351,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (352,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (352,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (355,1,'0','Document');
INSERT INTO `usmarc_indicator_dm` VALUES (355,1,'1','Title');
INSERT INTO `usmarc_indicator_dm` VALUES (355,1,'2','Abstract');
INSERT INTO `usmarc_indicator_dm` VALUES (355,1,'3','Contents note');
INSERT INTO `usmarc_indicator_dm` VALUES (355,1,'4','Author');
INSERT INTO `usmarc_indicator_dm` VALUES (355,1,'5','Record');
INSERT INTO `usmarc_indicator_dm` VALUES (355,1,'8','Other element');
INSERT INTO `usmarc_indicator_dm` VALUES (355,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (357,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (357,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (362,1,'0','Formatted style');
INSERT INTO `usmarc_indicator_dm` VALUES (362,1,'1','Unformatted note');
INSERT INTO `usmarc_indicator_dm` VALUES (362,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (400,1,'0','Forename');
INSERT INTO `usmarc_indicator_dm` VALUES (400,1,'1','Surname');
INSERT INTO `usmarc_indicator_dm` VALUES (400,1,'3','Family name');
INSERT INTO `usmarc_indicator_dm` VALUES (400,2,'0','Main entry not represented by pronoun');
INSERT INTO `usmarc_indicator_dm` VALUES (400,2,'1','Main entry represented by pronoun');
INSERT INTO `usmarc_indicator_dm` VALUES (410,1,'0','Inverted name');
INSERT INTO `usmarc_indicator_dm` VALUES (410,1,'1','Jurisdiction name');
INSERT INTO `usmarc_indicator_dm` VALUES (410,1,'2','Name in direct order');
INSERT INTO `usmarc_indicator_dm` VALUES (410,2,'0','Main entry not represented by pronoun');
INSERT INTO `usmarc_indicator_dm` VALUES (410,2,'1','Main entry represented by pronoun');
INSERT INTO `usmarc_indicator_dm` VALUES (411,1,'0','Inverted name');
INSERT INTO `usmarc_indicator_dm` VALUES (411,1,'1','Jurisdiction name');
INSERT INTO `usmarc_indicator_dm` VALUES (411,1,'2','Name in direct order');
INSERT INTO `usmarc_indicator_dm` VALUES (411,2,'0','Main entry not represented by pronoun');
INSERT INTO `usmarc_indicator_dm` VALUES (411,2,'1','Main entry represented by pronoun');
INSERT INTO `usmarc_indicator_dm` VALUES (440,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (490,1,'0','Series not traced');
INSERT INTO `usmarc_indicator_dm` VALUES (490,1,'1','Series traced differently');
INSERT INTO `usmarc_indicator_dm` VALUES (490,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (500,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (500,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (501,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (501,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (502,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (502,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (504,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (504,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (505,1,'0','Contents');
INSERT INTO `usmarc_indicator_dm` VALUES (505,1,'1','Incomplete contents');
INSERT INTO `usmarc_indicator_dm` VALUES (505,1,'2','Partial contents');
INSERT INTO `usmarc_indicator_dm` VALUES (505,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (505,2,'#','Basic');
INSERT INTO `usmarc_indicator_dm` VALUES (505,2,'0','Enhanced');
INSERT INTO `usmarc_indicator_dm` VALUES (506,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (506,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (507,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (507,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (508,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (508,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (510,1,'0','Coverage unknown');
INSERT INTO `usmarc_indicator_dm` VALUES (510,1,'1','Coverage complete');
INSERT INTO `usmarc_indicator_dm` VALUES (510,1,'2','Coverage is selective');
INSERT INTO `usmarc_indicator_dm` VALUES (510,1,'3','Location in source not given');
INSERT INTO `usmarc_indicator_dm` VALUES (510,1,'4','Location in source given');
INSERT INTO `usmarc_indicator_dm` VALUES (510,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (511,1,'0','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (511,1,'1','Cast');
INSERT INTO `usmarc_indicator_dm` VALUES (511,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (513,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (513,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (514,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (514,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (515,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (515,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (516,1,'#','Type of file');
INSERT INTO `usmarc_indicator_dm` VALUES (516,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (516,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (518,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (518,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (520,1,'#','Summary');
INSERT INTO `usmarc_indicator_dm` VALUES (520,1,'0','Subject');
INSERT INTO `usmarc_indicator_dm` VALUES (520,1,'1','Review');
INSERT INTO `usmarc_indicator_dm` VALUES (520,1,'2','Scope and content');
INSERT INTO `usmarc_indicator_dm` VALUES (520,1,'3','Abstract');
INSERT INTO `usmarc_indicator_dm` VALUES (520,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (520,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (521,1,'#','Audience');
INSERT INTO `usmarc_indicator_dm` VALUES (521,1,'0','Reading grade level');
INSERT INTO `usmarc_indicator_dm` VALUES (521,1,'1','Interest age level');
INSERT INTO `usmarc_indicator_dm` VALUES (521,1,'2','Interest grade level');
INSERT INTO `usmarc_indicator_dm` VALUES (521,1,'3','Special audience characteristics');
INSERT INTO `usmarc_indicator_dm` VALUES (521,1,'4','Motivation interest level');
INSERT INTO `usmarc_indicator_dm` VALUES (521,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (521,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (522,1,'#','Geographic coverage');
INSERT INTO `usmarc_indicator_dm` VALUES (522,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (522,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (524,1,'#','Cite as');
INSERT INTO `usmarc_indicator_dm` VALUES (524,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (524,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (525,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (525,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (526,1,'0','Reading program');
INSERT INTO `usmarc_indicator_dm` VALUES (526,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (526,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (530,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (530,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (533,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (533,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (534,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (534,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (535,1,'1','Holder of originals');
INSERT INTO `usmarc_indicator_dm` VALUES (535,1,'2','Holder of duplicates');
INSERT INTO `usmarc_indicator_dm` VALUES (535,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (536,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (536,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (538,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (538,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (540,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (540,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (541,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (541,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (544,1,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (544,1,'0','Associated materials');
INSERT INTO `usmarc_indicator_dm` VALUES (544,1,'1','Related materials');
INSERT INTO `usmarc_indicator_dm` VALUES (544,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (545,1,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (545,1,'0','Biographical sketch');
INSERT INTO `usmarc_indicator_dm` VALUES (545,1,'1','Administrative history');
INSERT INTO `usmarc_indicator_dm` VALUES (545,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (546,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (546,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (547,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (547,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (550,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (550,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (552,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (552,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (555,1,'#','Indexes');
INSERT INTO `usmarc_indicator_dm` VALUES (555,1,'0','Finding aids');
INSERT INTO `usmarc_indicator_dm` VALUES (555,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (555,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (556,1,'#','Documentation');
INSERT INTO `usmarc_indicator_dm` VALUES (556,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (556,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (561,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (561,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (562,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (562,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (565,1,'#','File size');
INSERT INTO `usmarc_indicator_dm` VALUES (565,1,'0','Case file characteristics');
INSERT INTO `usmarc_indicator_dm` VALUES (565,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (565,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (567,1,'#','Methodology');
INSERT INTO `usmarc_indicator_dm` VALUES (567,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (567,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (580,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (580,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (581,1,'#','Publications');
INSERT INTO `usmarc_indicator_dm` VALUES (581,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (581,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (583,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (583,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (584,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (584,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (585,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (585,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (586,1,'#','Awards');
INSERT INTO `usmarc_indicator_dm` VALUES (586,1,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (586,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (600,1,'0','Forename');
INSERT INTO `usmarc_indicator_dm` VALUES (600,1,'1','Surname');
INSERT INTO `usmarc_indicator_dm` VALUES (600,1,'3','Family name');
INSERT INTO `usmarc_indicator_dm` VALUES (600,2,'0','Library of Congress Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (600,2,'1','LC subject headings for children\'s literature');
INSERT INTO `usmarc_indicator_dm` VALUES (600,2,'2','Medical Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (600,2,'3','National Agricultural Library subject authority file');
INSERT INTO `usmarc_indicator_dm` VALUES (600,2,'4','Source not specified');
INSERT INTO `usmarc_indicator_dm` VALUES (600,2,'5','Canadian Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (600,2,'6','R&eacute,pertoire de vedettes-mati&egrave,re');
INSERT INTO `usmarc_indicator_dm` VALUES (600,2,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (610,1,'0','Inverted name');
INSERT INTO `usmarc_indicator_dm` VALUES (610,1,'1','Jurisdiction name');
INSERT INTO `usmarc_indicator_dm` VALUES (610,1,'2','Name in direct order');
INSERT INTO `usmarc_indicator_dm` VALUES (610,2,'0','Library of Congress Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (610,2,'1','LC subject headings for children\'s literature');
INSERT INTO `usmarc_indicator_dm` VALUES (610,2,'2','Medical Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (610,2,'4','Source not specified');
INSERT INTO `usmarc_indicator_dm` VALUES (610,2,'5','Canadian Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (610,2,'6','R&eacute,pertoire de vedettes-mati&egrave,re');
INSERT INTO `usmarc_indicator_dm` VALUES (610,2,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (611,1,'0','Inverted name');
INSERT INTO `usmarc_indicator_dm` VALUES (611,1,'1','Jurisdiction name');
INSERT INTO `usmarc_indicator_dm` VALUES (611,1,'2','Name in direct order');
INSERT INTO `usmarc_indicator_dm` VALUES (611,2,'0','Library of Congress Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (611,2,'1','LC subject headings for children\'s literature');
INSERT INTO `usmarc_indicator_dm` VALUES (611,2,'2','Medical Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (611,2,'3','National Agricultural Library subject authority file');
INSERT INTO `usmarc_indicator_dm` VALUES (611,2,'4','Source not specified');
INSERT INTO `usmarc_indicator_dm` VALUES (611,2,'5','Canadian Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (611,2,'6','R&eacute,pertoire de vedettes-mati&egrave,re');
INSERT INTO `usmarc_indicator_dm` VALUES (611,2,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (630,2,'0','Library of Congress Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (630,2,'1','LC subject headings for children\'s literature');
INSERT INTO `usmarc_indicator_dm` VALUES (630,2,'2','Medical Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (630,2,'3','National Agricultural Library subject authority file');
INSERT INTO `usmarc_indicator_dm` VALUES (630,2,'4','Source not specified');
INSERT INTO `usmarc_indicator_dm` VALUES (630,2,'5','Canadian Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (630,2,'6','R&eacute,pertoire de vedettes-mati&egrave,re');
INSERT INTO `usmarc_indicator_dm` VALUES (630,2,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (650,1,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (650,1,'0','No level specified');
INSERT INTO `usmarc_indicator_dm` VALUES (650,1,'2','Secondary');
INSERT INTO `usmarc_indicator_dm` VALUES (650,2,'0','Library of Congress Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (650,2,'1','LC subject headings for children\'s literature');
INSERT INTO `usmarc_indicator_dm` VALUES (650,2,'2','Medical Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (650,2,'3','National Agricultural Library subject authority file');
INSERT INTO `usmarc_indicator_dm` VALUES (650,2,'4','Source not specified');
INSERT INTO `usmarc_indicator_dm` VALUES (650,2,'5','Canadian Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (650,2,'6','R&eacute,pertoire de vedettes-mati&egrave,re');
INSERT INTO `usmarc_indicator_dm` VALUES (650,2,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (651,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (651,2,'0','Library of Congress Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (651,2,'1','LC subject headings for children\'s literature');
INSERT INTO `usmarc_indicator_dm` VALUES (651,2,'2','Medical Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (651,2,'3','National Agricultural Library subject authority file');
INSERT INTO `usmarc_indicator_dm` VALUES (651,2,'4','Source not specified');
INSERT INTO `usmarc_indicator_dm` VALUES (651,2,'5','Canadian Subject Headings');
INSERT INTO `usmarc_indicator_dm` VALUES (651,2,'6','R&eacute,pertoire de vedettes-mati&egrave,re');
INSERT INTO `usmarc_indicator_dm` VALUES (651,2,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (653,1,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (653,1,'0','No level specified');
INSERT INTO `usmarc_indicator_dm` VALUES (653,1,'1','Primary');
INSERT INTO `usmarc_indicator_dm` VALUES (653,1,'2','Secondary');
INSERT INTO `usmarc_indicator_dm` VALUES (653,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (654,1,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (654,1,'0','No level specified');
INSERT INTO `usmarc_indicator_dm` VALUES (654,1,'1','Primary');
INSERT INTO `usmarc_indicator_dm` VALUES (654,1,'2','Secondary');
INSERT INTO `usmarc_indicator_dm` VALUES (654,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (655,1,'#','Basic');
INSERT INTO `usmarc_indicator_dm` VALUES (655,1,'0','Faceted');
INSERT INTO `usmarc_indicator_dm` VALUES (655,2,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (656,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (656,2,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (657,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (657,2,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (658,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (658,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (700,1,'0','Forename');
INSERT INTO `usmarc_indicator_dm` VALUES (700,1,'1','Surname');
INSERT INTO `usmarc_indicator_dm` VALUES (700,1,'3','Family name');
INSERT INTO `usmarc_indicator_dm` VALUES (700,2,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (700,2,'2','Analytical entry');
INSERT INTO `usmarc_indicator_dm` VALUES (710,1,'0','Inverted name');
INSERT INTO `usmarc_indicator_dm` VALUES (710,1,'1','Jurisdiction name');
INSERT INTO `usmarc_indicator_dm` VALUES (710,1,'2','Name in direct order');
INSERT INTO `usmarc_indicator_dm` VALUES (710,2,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (710,2,'2','Analytical entry');
INSERT INTO `usmarc_indicator_dm` VALUES (711,1,'0','Inverted name');
INSERT INTO `usmarc_indicator_dm` VALUES (711,1,'1','Jurisdiction name');
INSERT INTO `usmarc_indicator_dm` VALUES (711,1,'2','Name in direct order');
INSERT INTO `usmarc_indicator_dm` VALUES (711,2,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (711,2,'2','Analytical entry');
INSERT INTO `usmarc_indicator_dm` VALUES (720,1,'#','Not specified');
INSERT INTO `usmarc_indicator_dm` VALUES (720,1,'1','Personal');
INSERT INTO `usmarc_indicator_dm` VALUES (720,1,'2','Other');
INSERT INTO `usmarc_indicator_dm` VALUES (720,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (730,2,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (730,2,'2','Analytical entry');
INSERT INTO `usmarc_indicator_dm` VALUES (740,2,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (740,2,'2','Analytical entry');
INSERT INTO `usmarc_indicator_dm` VALUES (752,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (752,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (753,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (753,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (754,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (754,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (760,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (760,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (760,2,'#','Main series');
INSERT INTO `usmarc_indicator_dm` VALUES (760,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (762,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (762,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (762,2,'#','Has subseries');
INSERT INTO `usmarc_indicator_dm` VALUES (762,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (765,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (765,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (765,2,'#','Translation of');
INSERT INTO `usmarc_indicator_dm` VALUES (765,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (767,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (767,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (767,2,'#','Translated as');
INSERT INTO `usmarc_indicator_dm` VALUES (767,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (770,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (770,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (770,2,'#','Has supplement');
INSERT INTO `usmarc_indicator_dm` VALUES (770,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (772,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (772,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (772,2,'#','Supplement to');
INSERT INTO `usmarc_indicator_dm` VALUES (772,2,'0','Parent');
INSERT INTO `usmarc_indicator_dm` VALUES (772,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (773,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (773,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (773,2,'#','In');
INSERT INTO `usmarc_indicator_dm` VALUES (773,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (774,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (774,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (774,2,'#','Constituent unit');
INSERT INTO `usmarc_indicator_dm` VALUES (774,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (775,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (775,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (775,2,'#','Other edition available');
INSERT INTO `usmarc_indicator_dm` VALUES (775,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (776,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (776,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (776,2,'#','Available in another form');
INSERT INTO `usmarc_indicator_dm` VALUES (776,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (777,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (777,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (777,2,'#','Issued with');
INSERT INTO `usmarc_indicator_dm` VALUES (777,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (780,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (780,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (780,2,'0','Continues');
INSERT INTO `usmarc_indicator_dm` VALUES (780,2,'1','Continues in part');
INSERT INTO `usmarc_indicator_dm` VALUES (780,2,'2','Supersedes');
INSERT INTO `usmarc_indicator_dm` VALUES (780,2,'3','Supersedes in part');
INSERT INTO `usmarc_indicator_dm` VALUES (780,2,'4','Formed by the union of ... and ...');
INSERT INTO `usmarc_indicator_dm` VALUES (780,2,'5','Absorbed');
INSERT INTO `usmarc_indicator_dm` VALUES (780,2,'6','Absorbed in part');
INSERT INTO `usmarc_indicator_dm` VALUES (780,2,'7','Separated from');
INSERT INTO `usmarc_indicator_dm` VALUES (785,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (785,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (785,2,'0','Continued by');
INSERT INTO `usmarc_indicator_dm` VALUES (785,2,'1','Continued in part by');
INSERT INTO `usmarc_indicator_dm` VALUES (785,2,'2','Superseded by');
INSERT INTO `usmarc_indicator_dm` VALUES (785,2,'3','Superseded in part by');
INSERT INTO `usmarc_indicator_dm` VALUES (785,2,'4','Absorbed by');
INSERT INTO `usmarc_indicator_dm` VALUES (785,2,'5','Absorbed in part by');
INSERT INTO `usmarc_indicator_dm` VALUES (785,2,'6','Split into ... and ...');
INSERT INTO `usmarc_indicator_dm` VALUES (785,2,'7','Merged with ... to form ...');
INSERT INTO `usmarc_indicator_dm` VALUES (785,2,'8','Changed back to');
INSERT INTO `usmarc_indicator_dm` VALUES (786,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (786,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (786,2,'#','Data source');
INSERT INTO `usmarc_indicator_dm` VALUES (786,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (787,1,'0','Display note');
INSERT INTO `usmarc_indicator_dm` VALUES (787,1,'1','Do not display note');
INSERT INTO `usmarc_indicator_dm` VALUES (787,2,'#','Related item');
INSERT INTO `usmarc_indicator_dm` VALUES (787,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (800,1,'0','Forename');
INSERT INTO `usmarc_indicator_dm` VALUES (800,1,'1','Surname');
INSERT INTO `usmarc_indicator_dm` VALUES (800,1,'3','Family name');
INSERT INTO `usmarc_indicator_dm` VALUES (800,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (810,1,'0','Inverted name');
INSERT INTO `usmarc_indicator_dm` VALUES (810,1,'1','Jurisdiction name');
INSERT INTO `usmarc_indicator_dm` VALUES (810,1,'2','Name in direct order');
INSERT INTO `usmarc_indicator_dm` VALUES (810,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (811,1,'0','Inverted name');
INSERT INTO `usmarc_indicator_dm` VALUES (811,1,'1','Jurisdiction name');
INSERT INTO `usmarc_indicator_dm` VALUES (811,1,'2','Name in direct order');
INSERT INTO `usmarc_indicator_dm` VALUES (811,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (830,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (850,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (850,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (852,1,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (852,1,'0','Library of Congress classification');
INSERT INTO `usmarc_indicator_dm` VALUES (852,1,'1','Dewey Decimal classification');
INSERT INTO `usmarc_indicator_dm` VALUES (852,1,'2','National Library of Medicine classification');
INSERT INTO `usmarc_indicator_dm` VALUES (852,1,'3','Superintendent of Documents classification');
INSERT INTO `usmarc_indicator_dm` VALUES (852,1,'4','Shelving control number');
INSERT INTO `usmarc_indicator_dm` VALUES (852,1,'5','Title');
INSERT INTO `usmarc_indicator_dm` VALUES (852,1,'6','Shelved separately');
INSERT INTO `usmarc_indicator_dm` VALUES (852,1,'7','Source specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (852,1,'8','Other scheme');
INSERT INTO `usmarc_indicator_dm` VALUES (852,2,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (852,2,'0','Not enumeration');
INSERT INTO `usmarc_indicator_dm` VALUES (852,2,'1','Primary enumeration');
INSERT INTO `usmarc_indicator_dm` VALUES (852,2,'2','Alternative enumeration');
INSERT INTO `usmarc_indicator_dm` VALUES (856,1,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (856,1,'0','Email');
INSERT INTO `usmarc_indicator_dm` VALUES (856,1,'1','FTP');
INSERT INTO `usmarc_indicator_dm` VALUES (856,1,'2','Remote login (Telnet)');
INSERT INTO `usmarc_indicator_dm` VALUES (856,1,'3','Dial-up');
INSERT INTO `usmarc_indicator_dm` VALUES (856,1,'4','HTTP');
INSERT INTO `usmarc_indicator_dm` VALUES (856,1,'7','Method specified in subfield $2');
INSERT INTO `usmarc_indicator_dm` VALUES (856,2,'#','No information provided');
INSERT INTO `usmarc_indicator_dm` VALUES (856,2,'0','Resource');
INSERT INTO `usmarc_indicator_dm` VALUES (856,2,'1','Version of resource');
INSERT INTO `usmarc_indicator_dm` VALUES (856,2,'2','Related resource');
INSERT INTO `usmarc_indicator_dm` VALUES (856,2,'8','No display constant generated');
INSERT INTO `usmarc_indicator_dm` VALUES (886,1,'0','Leader');
INSERT INTO `usmarc_indicator_dm` VALUES (886,1,'1','Variable control fields (002-009)');
INSERT INTO `usmarc_indicator_dm` VALUES (886,1,'2','Variable data fields (010-999)');
INSERT INTO `usmarc_indicator_dm` VALUES (886,2,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (887,1,'#','Undefined');
INSERT INTO `usmarc_indicator_dm` VALUES (887,2,'#','Undefined');

--
-- Table structure for table `usmarc_subfield_dm`
--

CREATE TABLE `usmarc_subfield_dm` (
  `tag` smallint(6) NOT NULL default '0',
  `subfield_cd` char(1) NOT NULL default '',
  `description` varchar(80) NOT NULL default '',
  `repeatable_flg` char(1) NOT NULL default '',
  PRIMARY KEY  (`tag`,`subfield_cd`)
) TYPE=MyISAM;

--
-- Dumping data for table `usmarc_subfield_dm`
--


INSERT INTO `usmarc_subfield_dm` VALUES (10,'a','LC control number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (10,'b','NUCMC control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (10,'z','Canceled/invalid LC control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (10,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (13,'a','Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (13,'b','Country','N');
INSERT INTO `usmarc_subfield_dm` VALUES (13,'c','Type of number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (13,'d','Date','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (13,'e','Status','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (13,'f','Party to document','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (13,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (13,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (15,'a','National bibliography number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (15,'2','Source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (15,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (15,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (16,'a','Record control number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (16,'z','Canceled or invalid record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (16,'2','Source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (16,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (17,'a','Copyright registration number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (17,'b','Assigning agency','N');
INSERT INTO `usmarc_subfield_dm` VALUES (17,'2','Source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (17,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (17,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (18,'a','Copyright article-fee code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (18,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (20,'a','International Standard Book Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (20,'c','Terms of availability','N');
INSERT INTO `usmarc_subfield_dm` VALUES (20,'z','Canceled/invalid ISBN','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (20,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (20,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (22,'a','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (22,'y','Incorrect ISSN','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (22,'z','Canceled ISSN','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (22,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (22,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (24,'a','Standard number or code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (24,'c','Terms of availability','N');
INSERT INTO `usmarc_subfield_dm` VALUES (24,'d','Additional codes following the standard number or code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (24,'z','Canceled/invalid standard number or code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (24,'2','Source of number or code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (24,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (24,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (25,'a','Overseas acquisition number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (25,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (27,'a','Standard technical report number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (27,'z','Canceled/invalid number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (27,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (27,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (28,'a','Publisher number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (28,'b','Source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (28,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (28,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (30,'a','CODEN','N');
INSERT INTO `usmarc_subfield_dm` VALUES (30,'z','Canceled/invalid CODEN','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (30,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (30,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (32,'a','Postal registration number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (32,'b','Source (agency assigning number)','N');
INSERT INTO `usmarc_subfield_dm` VALUES (32,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (32,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (33,'a','Formatted date/time','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (33,'b','Geographic classification area code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (33,'c','Geographic classification subarea code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (33,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (33,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (33,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'a','Category of scale','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'b','Constant ratio linear horizontal scale','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'c','Constant ratio linear vertical scale','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'d','Coordinates--westernmost longitude','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'e','Coordinates--easternmost longitude','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'f','Coordinates--northernmost latitude','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'g','Coordinates--southernmost latitude','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'h','Angular scale','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'j','Declination--northern limit','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'k','Declination--southern limit','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'m','Right ascension--eastern limit','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'n','Right ascension--western limit','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'p','Equinox','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'s','G-ring latitude','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'t','G-ring longitude','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (34,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (35,'a','System control number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (35,'z','Canceled/invalid control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (35,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (35,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (36,'a','Original study number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (36,'b','Source (agency assigning number)','N');
INSERT INTO `usmarc_subfield_dm` VALUES (36,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (36,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (37,'a','Stock number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (37,'b','Source of stock number/acquisition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (37,'c','Terms of availability','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (37,'f','Form of issue','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (37,'g','Additional format characteristics','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (37,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (37,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (37,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (40,'a','Original cataloging agency','N');
INSERT INTO `usmarc_subfield_dm` VALUES (40,'b','Language of cataloging','N');
INSERT INTO `usmarc_subfield_dm` VALUES (40,'c','Transcribing agency','N');
INSERT INTO `usmarc_subfield_dm` VALUES (40,'d','Modifying agency','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (40,'e','Description conventions','N');
INSERT INTO `usmarc_subfield_dm` VALUES (40,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (40,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (41,'a','Language code of text/sound track or separate title','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (41,'b','Language code of summary or abstract/overprinted title or subtitle','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (41,'d','Language code of sung or spoken text','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (41,'e','Language code of librettos','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (41,'f','Language code of table of contents','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (41,'g','Language code of accompanying material other than librettos','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (41,'h','Language code of original and/or intermediate translations of text','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (41,'2','Source of code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (41,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (41,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (42,'a','Authentication code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (43,'a','Geographic area code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (43,'b','Local GAC code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (43,'c','ISO code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (43,'2','Source of local code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (43,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (43,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (44,'a','Country of publishing/producing entity code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (44,'b','Local subentity code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (44,'c','ISO code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (44,'2','Source of local subentity code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (44,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (44,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (45,'a','Time period code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (45,'b','Formatted 9999 B.C. through C.E. time period','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (45,'c','Formatted pre-9999 B.C. time period','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (45,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (45,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (46,'a','Type of date code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (46,'b','Date 1 (B.C. date)','N');
INSERT INTO `usmarc_subfield_dm` VALUES (46,'c','Date 1 (C.E. date)','N');
INSERT INTO `usmarc_subfield_dm` VALUES (46,'d','Date 2 (B.C. date)','N');
INSERT INTO `usmarc_subfield_dm` VALUES (46,'e','Date 2 (C.E. date)','N');
INSERT INTO `usmarc_subfield_dm` VALUES (46,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (46,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (47,'a','Form of musical composition code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (47,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (48,'a','Performer or ensemble','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (48,'b','Soloist','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (48,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (50,'a','Classification number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (50,'b','Item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (50,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (50,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (50,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (51,'a','Classification number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (51,'b','Item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (51,'c','Copy information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (51,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (52,'a','Geographic classification area code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (52,'b','Geographic classification subarea code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (52,'d','Populated place name','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (52,'2','Code source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (52,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (52,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (55,'a','Classification number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (55,'b','Item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (55,'2','Source of call/class number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (55,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (60,'a','Classification number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (60,'b','Item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (60,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (61,'a','Classification number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (61,'b','Item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (61,'c','Copy information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (61,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (66,'a','Primary G0 character set','N');
INSERT INTO `usmarc_subfield_dm` VALUES (66,'b','Primary G1 character set','N');
INSERT INTO `usmarc_subfield_dm` VALUES (66,'c','Alternate G0 or G1 character set','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (70,'a','Classification number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (70,'b','Item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (70,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (71,'a','Classification number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (71,'b','Item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (71,'c','Copy information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (71,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (72,'a','Subject category code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (72,'x','Subject category code subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (72,'2','Code source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (72,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (72,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (74,'a','GPO item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (74,'z','Canceled/invalid GPO item number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (74,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (80,'a','Universal Decimal Classification number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (80,'b','Item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (80,'x','Common auxiliary subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (80,'2','Edition identifier','N');
INSERT INTO `usmarc_subfield_dm` VALUES (80,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (80,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (82,'a','Classification number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (82,'b','Item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (82,'2','Edition number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (82,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (82,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (84,'a','Classification number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (84,'b','Item number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (84,'2','Source of number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (84,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (84,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (86,'a','Classification number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (86,'z','Canceled/invalid classification number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (86,'2','Number source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (86,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (86,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (88,'a','Report number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (88,'z','Canceled/invalid report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (88,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (88,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'a','Personal name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'b','Numeration','N');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'c','Titles and other words associated with a name','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'d','Dates associated with a name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'j','Attribution qualifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'q','Fuller form of name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (100,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'a','Corporate name or jurisdiction name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'b','Subordinate unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'c','Location of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'d','Date of meeting or treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'n','Number of part/section/meeting','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (110,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'a','Meeting name or jurisdiction name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'c','Location of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'d','Date of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'e','Subordinate unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'n','Number of part/section/meeting','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'q','Name of meeting following jurisdiction name entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (111,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'a','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'d','Date of treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (130,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (210,'a','Abbreviated title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (210,'b','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (210,'2','Source','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (210,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (210,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (222,'a','Key title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (222,'b','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (222,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (222,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'a','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'d','Date of treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (240,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (242,'a','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (242,'b','Remainder of title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (242,'c','Statement of responsibility, etc.','N');
INSERT INTO `usmarc_subfield_dm` VALUES (242,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (242,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (242,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (242,'y','Language code of translated title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (242,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (242,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'a','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'d','Date of treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'m','Medium of performance for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (243,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'a','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'b','Remainder of title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'c','Statement of responsibility, etc.','N');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'f','Inclusive dates','N');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'g','Bulk dates','N');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'k','Form','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (245,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'a','Title proper/short title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'b','Remainder of title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'f','Date or sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (246,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (247,'a','Title proper/short title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (247,'b','Remainder of title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (247,'f','Date or sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (247,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (247,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (247,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (247,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (247,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (247,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (247,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (250,'a','Edition statement','N');
INSERT INTO `usmarc_subfield_dm` VALUES (250,'b','Remainder of edition statement','N');
INSERT INTO `usmarc_subfield_dm` VALUES (250,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (250,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (254,'a','Musical presentation statement','N');
INSERT INTO `usmarc_subfield_dm` VALUES (254,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (254,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (255,'a','Statement of scale','N');
INSERT INTO `usmarc_subfield_dm` VALUES (255,'b','Statement of projection','N');
INSERT INTO `usmarc_subfield_dm` VALUES (255,'c','Statement of coordinates','N');
INSERT INTO `usmarc_subfield_dm` VALUES (255,'d','Statement of zone','N');
INSERT INTO `usmarc_subfield_dm` VALUES (255,'e','Statement of equinox','N');
INSERT INTO `usmarc_subfield_dm` VALUES (255,'f','Outer G-ring coordinate pairs','N');
INSERT INTO `usmarc_subfield_dm` VALUES (255,'g','Exclusion G-ring coordinate pairs','N');
INSERT INTO `usmarc_subfield_dm` VALUES (255,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (255,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (256,'a','Computer file characteristics','N');
INSERT INTO `usmarc_subfield_dm` VALUES (256,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (256,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (257,'a','Country of producing entity','N');
INSERT INTO `usmarc_subfield_dm` VALUES (257,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (257,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (260,'a','Place of publication, distribution, etc.','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (260,'b','Name of publisher, distributor, etc.','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (260,'c','Date of publication, distribution, etc.','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (260,'d','Plates of publisher\'s number for music (Pre-AACR 2)  [LOCAL]','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (260,'e','Place of manufacture','N');
INSERT INTO `usmarc_subfield_dm` VALUES (260,'f','Manufacturer','N');
INSERT INTO `usmarc_subfield_dm` VALUES (260,'g','Date of manufacture','N');
INSERT INTO `usmarc_subfield_dm` VALUES (260,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (260,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (261,'a','Producing company','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (261,'b','Releasing company (primary distributor)','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (261,'d','Date of production, release, etc.','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (261,'e','Contractual producer','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (261,'f','Place of production, release, etc.','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (261,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (261,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (262,'a','Place of production, release, etc.','N');
INSERT INTO `usmarc_subfield_dm` VALUES (262,'b','Publisher or trade name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (262,'c','Date of production, release, etc.','N');
INSERT INTO `usmarc_subfield_dm` VALUES (262,'k','Serial identification','N');
INSERT INTO `usmarc_subfield_dm` VALUES (262,'l','Matrix and/or take number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (262,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (262,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (263,'a','Projected publication date','N');
INSERT INTO `usmarc_subfield_dm` VALUES (263,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (263,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'a','Address','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'b','City','N');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'c','State or province','N');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'d','Country','N');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'e','Postal code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'f','Terms preceding attention name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'g','Attention name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'h','Attention position','N');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'i','Type of address','N');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'j','Specialized telephone number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'k','Telephone number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'l','Fax number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'m','Electronic mail address','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'n','TDD or TTY number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'p','Contact person','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'q','Title of contact person','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'r','Hours','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'z','Public note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (270,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (300,'a','Extent','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (300,'b','Other physical details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (300,'c','Dimensions','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (300,'e','Accompanying material','N');
INSERT INTO `usmarc_subfield_dm` VALUES (300,'f','Type of unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (300,'g','Size of unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (300,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (300,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (300,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (306,'a','Playing time','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (306,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (306,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (307,'a','Hours','N');
INSERT INTO `usmarc_subfield_dm` VALUES (307,'b','Additional information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (307,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (307,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (310,'a','Current publication frequency','N');
INSERT INTO `usmarc_subfield_dm` VALUES (310,'b','Date of current publication frequency','N');
INSERT INTO `usmarc_subfield_dm` VALUES (310,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (310,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'a','Material base and configuration','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'b','Dimensions','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'c','Materials applied to surface','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'d','Information recording technique','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'e','Support','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'f','Production rate/ratio','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'h','Location within medium','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'i','Technical specifications of medium','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (340,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'a','Name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'b','Coordinate or distance units','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'c','Latitude resolution','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'d','Longitude resolution','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'e','Standard parallel or oblique line latitude','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'f','Oblique line longitude','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'g','Longitude of central meridian or projection center','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'h','Latitude of projection origin or projection center','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'i','False easting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'j','False northing','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'k','Scale factor','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'l','Height of perspective point above surface','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'m','Azimuthal angle','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'n','Azimuth measure point longitude or straight vertical','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'o','Landsat number and path number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'p','Zone identifier','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'q','Ellipsoid name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'r','Semi-major axis','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'s','Denominator of flattening ratio','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'t','Vertical resolution','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'u','Vertical encoding method','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'v','Local planar, local, or other projection or grid description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'w','Local planar or local georeference information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'2','Reference method used','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (342,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'a','Planar coordinate encoding method','N');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'b','Planar distance units','N');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'c','Abscissa resolution','N');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'d','Ordinate resolution','N');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'e','Distance resolution','N');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'f','Bearing resolution','N');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'g','Bearing units','N');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'h','Bearing reference direction','N');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'i','Bearing reference meridian','N');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (343,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (351,'a','Organization','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (351,'b','Arrangement','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (351,'c','Hierarchical level','N');
INSERT INTO `usmarc_subfield_dm` VALUES (351,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (351,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (351,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (352,'a','Direct reference method','N');
INSERT INTO `usmarc_subfield_dm` VALUES (352,'b','Object type','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (352,'c','Object count','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (352,'d','Row count','N');
INSERT INTO `usmarc_subfield_dm` VALUES (352,'e','Column count','N');
INSERT INTO `usmarc_subfield_dm` VALUES (352,'f','Vertical count','N');
INSERT INTO `usmarc_subfield_dm` VALUES (352,'g','VPF topology level','N');
INSERT INTO `usmarc_subfield_dm` VALUES (352,'i','Indirect reference description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (352,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (352,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'a','Security classification','N');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'b','Handling instructions','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'c','External dissemination information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'d','Downgrading or declassification event','N');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'e','Classification system','N');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'f','Country of origin code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'g','Downgrading date','N');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'h','Declassification date','N');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'j','Authorization','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (355,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (362,'a','Dates of publication and/or sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (362,'z','Source of information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (362,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (362,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'a','Personal name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'b','Numeration','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'c','Titles and other words associated with a name','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'d','Dates associated with a name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'v','Volume number/sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (400,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'a','Corporate name or jurisdiction name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'b','Subordinate unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'c','Location of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'d','Date of meeting or treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'n','Number of part/section/meeting','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'v','Volume number/sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (410,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'a','Meeting name or jurisdiction name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'c','Location of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'d','Date of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'e','Subordinate unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'n','Number of part/section/meeting','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'q','Name of meeting following jurisdiction name entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'v','Volume number/sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (411,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (440,'a','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (440,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (440,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (440,'v','Volume number/sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (440,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (440,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (440,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (490,'a','Series statement','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (490,'l','Library of Congress call number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (490,'v','Volume number/sequential designation','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (490,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (490,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (490,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (500,'a','General note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (500,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (500,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (500,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (500,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (501,'a','With note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (501,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (501,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (501,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (502,'a','Dissertation note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (502,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (502,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (504,'a','Bibliography, etc. note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (504,'b','Number of references','N');
INSERT INTO `usmarc_subfield_dm` VALUES (504,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (504,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (505,'a','Formatted contents note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (505,'g','Miscellaneous information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (505,'r','Statement of responsibility','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (505,'t','Title','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (505,'u','Uniform Resource Identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (505,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (505,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (506,'a','Terms governing access','N');
INSERT INTO `usmarc_subfield_dm` VALUES (506,'b','Jurisdiction','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (506,'c','Physical access provisions','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (506,'d','Authorized users','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (506,'e','Authorization','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (506,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (506,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (506,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (506,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (507,'a','Representative fraction of scale note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (507,'b','Remainder of scale note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (507,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (507,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (508,'a','Creation/production credits note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (508,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (508,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (510,'a','Name of source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (510,'b','Coverage of source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (510,'c','Location within source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (510,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (510,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (510,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (510,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (511,'a','Participant or performer note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (511,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (511,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (513,'a','Type of report','N');
INSERT INTO `usmarc_subfield_dm` VALUES (513,'b','Period covered','N');
INSERT INTO `usmarc_subfield_dm` VALUES (513,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (513,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'a','Attribute accuracy report','N');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'b','Attribute accuracy value','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'c','Attribute accuracy explanation','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'d','Logical consistency report','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'e','Completeness report','N');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'f','Horizontal position accuracy report','N');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'g','Horizontal position accuracy value','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'h','Horizontal position accuracy explanation','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'i','Vertical positional accuracy report','N');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'j','Vertical positional accuracy value','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'k','Vertical positional accuracy explanation','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'m','Cloud cover','N');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'u','Uniform Resource Identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'z','Display note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (514,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (515,'a','Numbering peculiarities note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (515,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (515,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (516,'a','Type of computer file or data note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (516,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (516,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (518,'a','Date/time and place of an event note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (518,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (518,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (518,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (520,'a','Summary, etc. note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (520,'b','Expansion of summary note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (520,'u','Uniform Resource Identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (520,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (520,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (520,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (521,'a','Target audience note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (521,'b','Source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (521,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (521,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (521,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (522,'a','Geographic coverage note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (522,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (522,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (524,'a','Preferred citation of described materials note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (524,'2','Source of schema used','N');
INSERT INTO `usmarc_subfield_dm` VALUES (524,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (524,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (524,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (525,'a','Supplement note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (525,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (525,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (526,'a','Program name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (526,'b','Interest level','N');
INSERT INTO `usmarc_subfield_dm` VALUES (526,'c','Reading level','N');
INSERT INTO `usmarc_subfield_dm` VALUES (526,'d','Title point value','N');
INSERT INTO `usmarc_subfield_dm` VALUES (526,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (526,'x','Nonpublic note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (526,'z','Public note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (526,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (526,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (526,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (530,'a','Additional physical form available note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (530,'b','Availability source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (530,'c','Availability conditions','N');
INSERT INTO `usmarc_subfield_dm` VALUES (530,'d','Order number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (530,'u','Uniform Resource Identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (530,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (530,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (530,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'a','Type of reproduction','N');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'b','Place of reproduction','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'c','Agency responsible for reproduction','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'d','Date of reproduction','N');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'e','Physical description of reproduction','N');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'f','Series statement of reproduction','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'m','Dates and/or sequential designation of issues reproduced','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'n','Note about reproduction','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'7','Fixed-length data elements of reproduction','N');
INSERT INTO `usmarc_subfield_dm` VALUES (533,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'a','Main entry of original','N');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'b','Edition statement of original','N');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'c','Publication, distribution, etc. of original','N');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'e','Physical description, etc. of original','N');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'f','Series statement of original','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'k','Key title of original','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'l','Location of original','N');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'m','Material specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'n','Note about original','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'p','Introductory phrase','N');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'t','Title statement of original','N');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'x','International Standard Serial Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (534,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (535,'a','Custodian','N');
INSERT INTO `usmarc_subfield_dm` VALUES (535,'b','Postal address','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (535,'c','Country','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (535,'d','Telecommunications address','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (535,'g','Repository location code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (535,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (535,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (535,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (536,'a','Text of note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (536,'b','Contract number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (536,'c','Grant number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (536,'d','Undifferentiated number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (536,'e','Program element number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (536,'f','Project number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (536,'g','Task number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (536,'h','Work unit number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (536,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (536,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (538,'a','System details note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (538,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (538,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (540,'a','Terms governing use and reproduction','N');
INSERT INTO `usmarc_subfield_dm` VALUES (540,'b','Jurisdiction','N');
INSERT INTO `usmarc_subfield_dm` VALUES (540,'c','Authorization','N');
INSERT INTO `usmarc_subfield_dm` VALUES (540,'d','Authorized users','N');
INSERT INTO `usmarc_subfield_dm` VALUES (540,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (540,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (540,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (540,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'a','Source of acquisition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'b','Address','N');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'c','Method of acquisition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'d','Date of acquisition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'e','Accession number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'f','Owner','N');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'h','Purchase price','N');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'n','Extent','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'o','Type of unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (541,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (544,'a','Custodian','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (544,'b','Address','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (544,'c','Country','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (544,'d','Title','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (544,'e','Provenance','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (544,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (544,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (544,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (544,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (545,'a','Biographical or historical note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (545,'b','Expansion','N');
INSERT INTO `usmarc_subfield_dm` VALUES (545,'u','Uniform Resource Identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (545,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (545,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (546,'a','Language note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (546,'b','Information code or alphabet','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (546,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (546,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (546,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (547,'a','Former title complexity note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (547,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (547,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (550,'a','Issuing body note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (550,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (550,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'a','Entity type label','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'b','Entity type definition and source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'c','Attribute label','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'d','Attribute definition and source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'e','Enumerated domain value','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'f','Enumerated domain value definition and source','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'g','Range domain minimum and maximum','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'h','Codeset name and source','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'i','Unrepresentable domain','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'j','Attribute units of measurement and resolution','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'k','Beginning date and ending date of attribute values','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'l','Attribute value accuracy','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'m','Attribute value accuracy explanation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'n','Attribute measurement frequency','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'o','Entity and attribute overview','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'p','Entity and attribute detail citation','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'u','Uniform Resource Identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'z','Display note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (552,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (555,'a','Cumulative index/finding aids note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (555,'b','Availability source','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (555,'c','Degree of control','N');
INSERT INTO `usmarc_subfield_dm` VALUES (555,'d','Bibliographic reference','N');
INSERT INTO `usmarc_subfield_dm` VALUES (555,'u','Uniform Resource Identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (555,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (555,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (555,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (556,'a','Information about documentation note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (556,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (556,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (556,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (561,'a','History','N');
INSERT INTO `usmarc_subfield_dm` VALUES (561,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (561,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (561,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (561,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (562,'a','Identifying markings','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (562,'b','Copy identification','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (562,'c','Version identification','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (562,'d','Presentation format','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (562,'e','Number of copies','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (562,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (562,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (562,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (562,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (565,'a','Number of cases/variables','N');
INSERT INTO `usmarc_subfield_dm` VALUES (565,'b','Name of variable','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (565,'c','Unit of analysis','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (565,'d','Universe of data','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (565,'e','Filing scheme or code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (565,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (565,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (565,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (567,'a','Methodology note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (567,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (567,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (580,'a','Linking entry complexity note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (580,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (580,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (581,'a','Publications about described materials note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (581,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (581,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (581,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (581,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'a','Action','N');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'b','Action identification','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'c','Time/date of action','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'d','Action interval','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'e','Contingency for action','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'f','Authorization','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'h','Jurisdiction','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'i','Method of action','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'j','Site of action','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'k','Action agent','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'l','Status','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'n','Extent','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'o','Type of unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'u','Uniform Resource Identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'x','Nonpublic note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'z','Public note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'2','Source of term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (583,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (584,'a','Accumulation','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (584,'b','Frequency of use','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (584,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (584,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (584,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (584,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (585,'a','Exhibitions note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (585,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (585,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (585,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (585,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (586,'a','Awards note','N');
INSERT INTO `usmarc_subfield_dm` VALUES (586,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (586,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (586,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'a','Personal name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'b','Numeration','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'c','Titles and other words associated with a name','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'d','Dates associated with a name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'j','Attribution qualifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'q','Fuller form of name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'v','Form subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'x','General subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'y','Chronological subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'z','Geographic subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'2','Source of heading or term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (600,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'a','Corporate name or jurisdiction name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'b','Subordinate unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'c','Location of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'d','Date of meeting or treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'n','Number of part/section/meeting','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'v','Form subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'x','General subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'y','Chronological subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'z','Geographic subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'2','Source of heading or term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (610,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'a','Meeting name or jurisdiction name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'c','Location of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'d','Date of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'e','Subordinate unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'n','Number of part/section/meeting','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'q','Name of meeting following jurisdiction name entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'v','Form subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'x','General subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'y','Chronological subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'z','Geographic subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'2','Source of heading or term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (611,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'a','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'d','Date of treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'v','Form subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'x','General subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'y','Chronological subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'z','Geographic subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'2','Source of heading or term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (630,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'a','Topical term or geographic name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'b','Topical term following geographic name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'c','Location of event','N');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'d','Active dates','N');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'e','Relator term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'v','Form subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'x','General subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'y','Chronological subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'z','Geographic subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'2','Source of heading or term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (650,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (651,'a','Geographic name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (651,'v','Form subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (651,'x','General subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (651,'y','Chronological subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (651,'z','Geographic subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (651,'2','Source of heading or term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (651,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (651,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (651,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (653,'a','Uncontrolled term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (653,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (653,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (654,'a','Focus term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (654,'b','Non-focus term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (654,'c','Facet/hierarchy designation','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (654,'v','Form subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (654,'y','Chronological subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (654,'z','Geographic subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (654,'2','Source of heading or term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (654,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (654,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (654,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'a','Genre/form data or focus term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'b','Non-focus term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'c','Facet/hierarchy designation','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'v','Form subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'x','General subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'y','Chronological subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'z','Geographic subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'2','Source of term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (655,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (656,'a','Occupation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (656,'k','Form','N');
INSERT INTO `usmarc_subfield_dm` VALUES (656,'v','Form subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (656,'x','General subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (656,'y','Chronological subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (656,'z','Geographic subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (656,'2','Source of term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (656,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (656,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (656,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (657,'a','Function','N');
INSERT INTO `usmarc_subfield_dm` VALUES (657,'v','Form subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (657,'x','General subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (657,'y','Chronological subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (657,'z','Geographic subdivision','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (657,'2','Source of term','N');
INSERT INTO `usmarc_subfield_dm` VALUES (657,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (657,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (657,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (658,'a','Main curriculum objective','N');
INSERT INTO `usmarc_subfield_dm` VALUES (658,'b','Subordinate curriculum objective','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (658,'c','Curriculum code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (658,'d','Correlation factor','N');
INSERT INTO `usmarc_subfield_dm` VALUES (658,'2','Source of term or code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (658,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (658,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'a','Personal name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'b','Numeration','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'c','Titles and other words associated with a name','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'d','Dates associated with a name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'j','Attribution qualifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'q','Fuller form of name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (700,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'a','Corporate name or jurisdiction name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'b','Subordinate unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'c','Location of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'d','Date of meeting or treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'n','Number of part/section/meeting','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (710,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'a','Meeting name or jurisdiction name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'c','Location of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'d','Date of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'e','Subordinate unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'n','Number of part/section/meeting','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'q','Name of meeting following jurisdiction name entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (711,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (720,'a','Name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (720,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (720,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (720,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (720,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'a','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'d','Date of treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (730,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (740,'a','Uncontrolled related/analytical title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (740,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (740,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (740,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (740,'5','Institution to which field applies','N');
INSERT INTO `usmarc_subfield_dm` VALUES (740,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (740,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (752,'a','Country','N');
INSERT INTO `usmarc_subfield_dm` VALUES (752,'b','State, province, territory','N');
INSERT INTO `usmarc_subfield_dm` VALUES (752,'c','County, region, islands area','N');
INSERT INTO `usmarc_subfield_dm` VALUES (752,'d','City','N');
INSERT INTO `usmarc_subfield_dm` VALUES (752,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (752,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (753,'a','Make and model of machine','N');
INSERT INTO `usmarc_subfield_dm` VALUES (753,'b','Programming language','N');
INSERT INTO `usmarc_subfield_dm` VALUES (753,'c','Operating system','N');
INSERT INTO `usmarc_subfield_dm` VALUES (753,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (753,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (754,'a','Taxonomic name','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (754,'c','Taxonomic category','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (754,'d','Common or alternative name','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (754,'x','Non-public note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (754,'z','Public note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (754,'2','Source of taxonomic identification','N');
INSERT INTO `usmarc_subfield_dm` VALUES (754,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (754,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (760,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (762,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (765,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (767,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (770,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'z','International Stan dard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (772,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'p','Abbreviated title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (773,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (774,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'e','Language code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'f','Country code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (775,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (776,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (777,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (780,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'u','Standa rd Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (785,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'j','Period of content','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'p','Abbreviated title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'v','Source Contribution','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (786,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'a','Main entry heading','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'b','Edition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'c','Qualifying information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'d','Place, publisher, and date of publication','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'g','Relationship information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'h','Physical description','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'i','Display text','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'k','Series data for related item','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'m','Material-specific details','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'n','Note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'o','Other item identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'r','Report number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'s','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'t','Title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'u','Standard Technical Report Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'x','International Standard Serial Number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'y','CODEN designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'z','International Standard Book Number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'7','Control subfield','N');
INSERT INTO `usmarc_subfield_dm` VALUES (787,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'a','Personal name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'b','Numeration','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'c','Titles and other words associated with a name','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'d','Dates associated with a name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'j','Attribution qualifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'q','Fuller form of name','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'v','Volume/sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (800,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'a','Corporate name or jurisdiction name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'b','Subordinate unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'c','Location of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'d','Date of meeting or treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'e','Relator term','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'n','Number of part/section/meeting','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'v','Volume/sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (810,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'a','Meeting name or jurisdiction name as entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'c','Location of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'d','Date of meeting','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'e','Subordinate unit','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'n','Number of part/section/meeting','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'q','Name of meeting following jurisdiction name entry element','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'u','Affiliation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'v','Volume/sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'4','Relator code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (811,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'a','Uniform title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'d','Date of treaty signing','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'f','Date of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'g','Miscellaneous information','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'h','Medium','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'k','Form subheading','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'l','Language of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'m','Medium of performance for music','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'n','Number of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'o','Arranged statement for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'p','Name of part/section of a work','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'r','Key for music','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'s','Version','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'t','Title of a work','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'v','Volume/sequential designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (830,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (850,'a','Holding institution','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (850,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'a','Location','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'b','Sublocation or collection','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'c','Shelving location','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'e','Address','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'f','Coded location qualifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'g','Non-coded location qualifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'h','Classification part','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'i','Item part','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'j','Shelving control number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'k','Call number prefix','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'l','Shelving form of title','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'m','Call number suffix','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'n','Country code','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'p','Piece designation','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'q','Piece physical condition','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'s','Copyright article-fee code','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'t','Copy number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'x','Nonpublic note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'z','Public note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'2','Source of classification or shelving scheme','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (852,'8','Sequence number','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'a','Host name','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'b','Access number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'c','Compression information','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'d','Path','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'f','Electronic name','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'h','Processor of request','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'i','Instruction','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'j','Bits per second','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'k','Password','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'l','Logon','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'m','Contact for access assistance','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'n','Name of location of host','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'o','Operating system','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'p','Port','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'q','Electronic format type','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'r','Settings','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'s','File size','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'t','Terminal emulation','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'u','Uniform Resource Identifier','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'v','Hours access method available','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'w','Record control number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'x','Nonpublic note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'y','Link text','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'z','Public note','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'2','Access method','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'3','Materials specified','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (856,'8','Field link and sequence number','Y');
INSERT INTO `usmarc_subfield_dm` VALUES (880,'6','Linkage','N');
INSERT INTO `usmarc_subfield_dm` VALUES (886,'a','Tag of the foreign MARC field','N');
INSERT INTO `usmarc_subfield_dm` VALUES (886,'b','Content of the foreign MARC field','N');
INSERT INTO `usmarc_subfield_dm` VALUES (886,'2','Source of data','N');
INSERT INTO `usmarc_subfield_dm` VALUES (887,'a','Content of non-MARC field','N');
INSERT INTO `usmarc_subfield_dm` VALUES (887,'2','Source of data','N');

--
-- Table structure for table `usmarc_tag_dm`
--

CREATE TABLE `usmarc_tag_dm` (
  `block_nmbr` tinyint(4) NOT NULL default '0',
  `tag` smallint(6) NOT NULL default '0',
  `description` varchar(80) NOT NULL default '',
  `ind1_description` varchar(80) NOT NULL default '',
  `ind2_description` varchar(80) NOT NULL default '',
  `repeatable_flg` char(1) NOT NULL default '',
  PRIMARY KEY  (`block_nmbr`,`tag`)
) TYPE=MyISAM;

--
-- Dumping data for table `usmarc_tag_dm`
--


INSERT INTO `usmarc_tag_dm` VALUES (0,10,'Library of congress control number','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,13,'Patent control information','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,15,'National bibliography number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,16,'National bibliographic agency control number','National bibliographic agency','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,17,'Copyright or legal deposit number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,18,'Copyright article-fee code','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,20,'International standard book number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,22,'International standard serial number','Level of international interest','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,24,'Other standard identifier','Type of standard number or code','Difference indicator','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,25,'Overseas acquisition number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,27,'Standard technical report number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,28,'Publisher number','Type of publisher number','Note/added entry controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,30,'Coden designation','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,32,'Postal registration number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,33,'Date/time and place of an event','Type of date in subfield $a','Type of event','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,34,'Coded cartographic mathematical data','Type of scale','Type of ring','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,35,'System control number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,36,'Original study number for computer data files','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,37,'Source of acquisition','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,40,'Cataloging source','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,41,'Language code','Translation indication','Source of code','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,42,'Authentication code','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,43,'Geographic area code','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,44,'Country of publishing/producing entity code','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,45,'Time period of content','Type of time period in subfield $b or $c','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,46,'Special coded dates','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,47,'Form of musical composition code','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,48,'Number of musical instruments or voices code','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,50,'Library of congress call number','Existence in LC collection','Source of call number','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,51,'Library of congress copy, issue, offprint statement','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,52,'Geographic classification','Code source','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,55,'Classification numbers assigned in canada','Existence in NLC collection','Type, completeness, source of class/call number','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,60,'National library of medicine call number','Existence in NLM collection','Source of call number','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,61,'National library of medicine copy statement','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,66,'Character sets present','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (0,70,'National agricultural library call number','Existence in NAL collection','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,71,'National agricultural library copy statement','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,72,'Subject category code','Undefined','Code source','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,74,'Gpo item number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,80,'Universal decimal classification number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,82,'Dewey decimal classification number','Type of edition','Source of classification number','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,84,'Other classification number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,86,'Government document classification number','Number source','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (0,88,'Report number','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (1,100,'Main entry--personal name','Type of personal name entry element','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (1,110,'Main entry--corporate name','Type of corporate name entry element','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (1,111,'Main entry--meeting name','Type of meeting name entry element','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (1,130,'Main entry--uniform title','Nonfiling characters','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,210,'Abbreviated title','Title added entry','Type','Y');
INSERT INTO `usmarc_tag_dm` VALUES (2,222,'Key title','Specifies whether variant title and/or added entry is required','Nonfiling characters','Y');
INSERT INTO `usmarc_tag_dm` VALUES (2,240,'Uniform title','Uniform title printed or displayed','Nonfiling characters','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,242,'Translation of title by cataloging agency','Title added entry','Nonfiling characters','Y');
INSERT INTO `usmarc_tag_dm` VALUES (2,243,'Collective uniform title','Uniform title printed or displayed','Nonfiling characters','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,245,'Title statement','Title added entry','Nonfiling characters','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,246,'Varying form of title','Note/added entry controller','Type of title','Y');
INSERT INTO `usmarc_tag_dm` VALUES (2,247,'Former title or title variations','Title added entry','Note controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (2,250,'Edition statement','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,254,'Musical presentation statement','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,255,'Cartographic mathematical data','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (2,256,'Computer file characteristics','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,257,'Country of producing entity for archival films','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,260,'Publication, distribution, etc. (imprint)','Sequence of publishing statements','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (2,261,'Imprint statement for films (pre-aacr 1 revised)  [local]','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,262,'Imprint statement for sound recordings (pre-aacr 2)  [local]','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,263,'Projected publication date','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (2,270,'Address','Level','Type of address','Y');
INSERT INTO `usmarc_tag_dm` VALUES (3,300,'Physical description','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (3,306,'Playing time','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (3,307,'Hours, etc.','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (3,310,'Current publication frequency','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (3,340,'Physical medium','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (3,342,'Geospatial reference data','Geospatial reference dimension','Geospatial reference method','Y');
INSERT INTO `usmarc_tag_dm` VALUES (3,343,'Planar coordinate data','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (3,351,'Organization and arrangement of materials','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (3,352,'Digital graphic representation','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (3,355,'Security classification control','Controlled element','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (3,362,'Dates of publication and/or sequential designation','Format of date','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (4,400,'Series statement/added entry--personal name   [us-local]','Type of personal name entry element','Pronoun represents main entry','Y');
INSERT INTO `usmarc_tag_dm` VALUES (4,410,'Series statement/added entry--corporate name  [us-local]','Type of corporate name entry element','Pronoun represents main entry','Y');
INSERT INTO `usmarc_tag_dm` VALUES (4,411,'Series statement/added entry--meeting name  [us-local]','Type of meeting name entry element','Pronoun represents main entry','Y');
INSERT INTO `usmarc_tag_dm` VALUES (4,440,'Series statement/added entry--title','Undefined','Nonfiling characters','Y');
INSERT INTO `usmarc_tag_dm` VALUES (4,490,'Series statement','Specifies whether series is traced','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,500,'General note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,501,'With note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,502,'Dissertation note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,504,'Bibliography, etc. note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,505,'Formatted contents note','Display constant controller','Level of content designation','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,506,'Restrictions on access note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,507,'Scale note for graphic material','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (5,508,'Creation/production credits note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,510,'Citation/references note','Coverage/location in source','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,511,'Participant or performer note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,513,'Type of report and period covered note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,514,'Data quality note','Undefined','Undefined','N');
INSERT INTO `usmarc_tag_dm` VALUES (5,515,'Numbering peculiarities note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,516,'Type of computer file or data note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,518,'Date/time and place of an event note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,520,'Summary, etc.','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,521,'Target audience note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,522,'Geographic coverage note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,524,'Preferred citation of described materials note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,525,'Supplement note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,526,'Study program information note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,530,'Additional physical form available note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,533,'Reproduction note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,534,'Original version note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,535,'Location of originals/duplicates note','Additional information about custodian','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,536,'Funding information note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,538,'System details note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,540,'Terms governing use and reproduction note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,541,'Immediate source of acquisition note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,544,'Location of other archival materials note','Relationship','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,545,'Biographical or historical data','Type of data','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,546,'Language note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,547,'Former title complexity note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,550,'Issuing body note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,552,'Entity and attribute information note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,555,'Cumulative index/finding aids note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,556,'Information about documentation note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,561,'Ownership and custodial history','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,562,'Copy and version identification note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,565,'Case file characteristics note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,567,'Methodology note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,580,'Linking entry complexity note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,581,'Publications about described materials note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,583,'Action note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,584,'Accumulation and frequency of use note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,585,'Exhibitions note','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (5,586,'Awards note','Display constant controller','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,600,'Subject added entry--personal name','Type of personal name entry element','Thesaurus','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,610,'Subject added entry--corporate name','Type of corporate name entry element','Thesaurus','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,611,'Subject added entry--meeting name','Type of meeting name entry element','Thesaurus','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,630,'Subject added entry--uniform title','Nonfiling characters','Thesaurus','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,650,'Subject added entry--topical term','Level of subject','Thesaurus','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,651,'Subject added entry--geographic name','Undefined','Thesaurus','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,653,'Index term--uncontrolled','Level of index term','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,654,'Subject added entry--faceted topical terms','Level of subject','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,655,'Index term--genre/form','Type of heading','Source of term','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,656,'Index term--occupation','Undefined','Source of term','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,657,'Index term--function','Undefined','Source of term','Y');
INSERT INTO `usmarc_tag_dm` VALUES (6,658,'Index term--curriculum objective','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,700,'Added entry--personal name','Type of personal name entry element','Type of added entry','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,710,'Added entry--corporate name','Type of corporate name entry element','Type of added entry','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,711,'Added entry--meeting name','Type of meeting name entry element','Type of added entry','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,720,'Added entry--uncontrolled name','Type of name','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,730,'Added entry--uniform title','Nonfiling characters','Type of added entry','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,740,'Added entry--uncontrolled related/analytical title','Nonfiling characters','Type of added entry','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,752,'Added entry--hierarchical place name','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,753,'System details access to computer files','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,754,'Added entry--taxonomic identification','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,760,'Main series entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,762,'Subseries entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,765,'Original language entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,767,'Translation entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,770,'Supplement/special issue entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,772,'Supplement parent entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,773,'Host item entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,774,'Constituent unit entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,775,'Other edition entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,776,'Additional physical form entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,777,'Issued with entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,780,'Preceding entry','Note controller','Type of relationship','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,785,'Succeeding entry','Note controller','Type of relationship','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,786,'Data source entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (7,787,'Nonspecific relationship entry','Note controller','Display constant controller','Y');
INSERT INTO `usmarc_tag_dm` VALUES (8,800,'Series added entry--personal name','Type of personal name entry element','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (8,810,'Series added entry--corporate name','Type of corporate name entry element','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (8,811,'Series added entry--meeting name','Type of meeting name entry element','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (8,830,'Series added entry--uniform title','Undefined','Nonfiling characters','Y');
INSERT INTO `usmarc_tag_dm` VALUES (8,850,'Holding institution','Undefined','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (8,852,'Location','Shelving scheme','Shelving order','Y');
INSERT INTO `usmarc_tag_dm` VALUES (8,856,'Electronic location and access','Access method','Relationship','Y');
INSERT INTO `usmarc_tag_dm` VALUES (8,880,'Alternate graphic representation','Same as associated field','Same as associated field','Y');
INSERT INTO `usmarc_tag_dm` VALUES (8,886,'Foreign marc information field','Type of field','Undefined','Y');
INSERT INTO `usmarc_tag_dm` VALUES (8,887,'Non-marc information field','Undefined','Undefined','Y');

